通过Cassandra CQL Java Driver访问Lindorm宽表,请参考以下说明升级客户端版本

Mavenue依赖

可以用Datastax的java driver访问Lindorm的CQL,推荐不低于datastax java driver 3.7 版本,maven依赖如下:

<dependency>
    <groupId>com.datastax.cassandra</groupId>
    <artifactId>cassandra-driver-core</artifactId>
    <version>3.7.2</version>
</dependency>

这个依赖会引入一些公共库,为了避免依赖冲突导致不必要的麻烦,请先在一个新工程中测试。